<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// No direct access
defined('_JEXEC') or die('Restricted access');

interface CrBcUserlocationPlugin{
    /**
     * Should return the human readable name of the plugin to show in back and frontend
     *
     * @return string
     */
    public function getPluginDisplayName();
    
    /**
     * Init will be called by the order details model
     * to deal with interface methods.
     *
     * @param CrBcCart $cart
     */
    function init($subject = NULL);
}