<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * Hello Table class
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class TableAttribute extends JTable
{
    /**
     * Primary Key
     *
     * @var int
     */
    public $id = null;

    /**
     * @var string
     */
    public $name = null;

    /**
     * @var int
     */
    public $ordering = 0;

    /**
     * @var int
     */
    public $published = 1;

    public $display_as = 'select-list';

    public $min_amount = 0;

    public $allow_amount = false;

    public $required = 0;

    public $tag = '';

    /**
     * Constructor
     *
     * @param object Database connector object
     */
    function __construct( $db ) {
        parent::__construct('#__breezingcommerce_attributes', 'id', $db);
    }
}
