<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * Hello Table class
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class TableCountryregions extends JTable
{
    /**
     * Primary Key
     *
     * @var int
     */
    public $id = null;

    public $country_id = null;

    /**
     * @var string
     */
    public $code = null;

    public $name = null;

    /**
     * @var int
     */
    public $ordering = 0;

    public $published = 0;

    /**
     * Constructor
     *
     * @param object Database connector object
     */
    function __construct( $db ) {
        parent::__construct('#__breezingcommerce_country_regions', 'id', $db);
    }
}
