<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * Hello Table class
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class TableOrderitems extends JTable
{
    /**
     * Primary Key
     *
     * @var int
     */
    public $id = null;

    public $order_id = null;
    public $product_id = null;
    public $amount = 0;
    public $properties = null;
    public $is_combination = false;
    public $attributes = null;
    public $order_item_info = '';
    public $creation_date = null;
    public $producttaxclass_id = null;

    public $history_net = null;
    public $history_gross = null;
    public $history_taxes = null;
    public $history_applied_taxes = null;
    public $history_single_net = null;
    public $history_single_gross = null;
    public $history_single_taxes = null;
    public $history_single_applied_taxes = null;
    public $history_properties = null;
    public $history_properties_admin = null;
    public $history_attributes = null;
    public $history_attributes_admin = null;
    public $history_attributes_text = null;
    public $history_attributes_invoice = null;
    public $history_amount = null;
    public $history_title = null;
    public $history_title_admin = null;
    public $history_discount = null;
    public $history_single_discount = null;
    public $history = null;
    public $history_price_tax_list = null;
    public $history_price_single_tax_list = null;

    /**
     * @var int
     */
    public $ordering = 0;

    /**
     * @var int
     */
    public $published = 1;

    public $verified = 0;
    public $verification_expiration_date = '0000-00-00 00:00:00';
    /**
     * Constructor
     *
     * @param object Database connector object
     */
    function __construct( $db ) {
        parent::__construct('#__breezingcommerce_order_items', 'id', $db);
    }
}
