<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// No direct access
defined('_JEXEC') or die('Restricted access');

class TableProductpropertycombination extends JTable
{
    public $id = null;
    public $product_id = null;
    public $property_id = null;
    public $name = null;
    public $price = -1;
    public $stock = -1;
    public $selected = 0;
    public $ordering = 0;
    public $published = 0;
    public $weight = 0;
    public $weight_type = 0;
    public $dimension_type = 0;
    public $width = 0;
    public $height = 0;
    public $length = 0;

    /**
     * Constructor
     *
     * @param object Database connector object
     */
    function __construct( $db ) {
        parent::__construct('#__breezingcommerce_product_property_combinations', 'id', $db);
    }
}
