<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

defined('_JEXEC') or die('Restricted access');
?>
<script type="text/javascript">
    function submitbutton(pressbutton) {
	submitform(pressbutton);
    }

    /**
    * Submit the admin form
    */
    function submitform(pressbutton){
            if (pressbutton) {
                    document.adminForm.task.value=pressbutton;
            }
            if (typeof document.adminForm.onsubmit == "function") {
                    document.adminForm.onsubmit();
            }
            document.adminForm.submit();
    }

    function crbc_submitbutton(pressbutton)
    {
        switch (pressbutton) {
            case 'plugin_cancel':
                pressbutton = 'cancel';
                submitform(pressbutton);
                break;
            case 'plugin_apply':
                var error = false;

                if(document.getElementById('info').value == ''){
                    error = true;
                    alert("<?php echo addslashes(JText::_('COM_BREEZINGCOMMERCE_ALERT_ERROR_BANKTRANSFER'))?>");
                }

                if(!error)
                {
                    submitform(pressbutton);
                }

                break;
        }
    }

    // Joomla 1.6 compat
    if(typeof Joomla != 'undefined'){
        Joomla.submitbutton = crbc_submitbutton;
    }
    // Joomla 1.5 compat
    submitbutton = crbc_submitbutton;
</script>

<div class="form-horizontal">

    <?php
    // translations
    if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','') != ''){

        $pane2 = new CrBcPane();
        echo $pane2->initPane(
            array(
                'translation-name-pane' => htmlentities(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language_title',''), ENT_QUOTES, 'UTF-8' ),
                'original-name-pane' => JText::_( 'COM_BREEZINGCOMMERCE_DEFAULT_LANGUAGE' )
            )
        );

        echo $pane2->startPane();
        echo $pane2->startPanel( 'translation-name-pane' );
    ?>

    <div class="control-group">
        <div class="control-label">
            <label for="info_translation" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BANKTRANSFER_INFO_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_INFO' ); ?></label>
        </div>
        <div class="controls">
            <textarea id="info_translation" name="info_translation" style="width: 100%;height:100px;"><?php echo htmlentities( $this->entity->info_translation, ENT_QUOTES, 'UTF-8');?></textarea>
        </div>
    </div>

    <?php
        echo $pane2->endPanel();
        echo $pane2->startPanel( 'original-name-pane' );
    }
    // default (all) case
    ?>

    <div class="control-group">
        <div class="control-label">
            <label for="info" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_BANKTRANSFER_INFO_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_INFO' ); ?></label>
        </div>
        <div class="controls">
            <textarea id="info" name="info" style="width: 100%;height:100px;"><?php echo htmlentities( $this->entity->info, ENT_QUOTES, 'UTF-8');?></textarea>
        </div>
    </div>

    <?php
    if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','')){
        echo $pane2->endPanel();
        echo $pane2->endPane();
    }
    // translations end
    ?>

</div>

<input type="hidden" name="identity" value="<?php echo $this->entity->identity;?>"/>
