<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

defined('_JEXEC') or die('Restricted access');
?>
<script type="text/javascript">
    function saveorder( n,  task ) {
	checkAll_button( n, 'listsaveorder' );
    }

    function listItemTask( id, task ) {

    var f = document.adminForm;

    cb = eval( 'f.' + id );

    if (cb) {
        for (i = 0; true; i++) {
            cbx = eval('f.cb'+i);
            if (!cbx) break;
            cbx.checked = false;
        } // for
        cb.checked = true;
        f.boxchecked.value = 1;
        switch(task){
            case 'publish':
                task = 'listpublish';
            break;
            case 'unpublish':
                task = 'listunpublish';
            break;
            case 'orderdown':
                task = 'listorderdown';
            break;
            case 'orderup':
                task = 'listorderup';
            break;
        }

        submitbutton(task);
    }
    return false;
}

    function crbc_submitbutton(pressbutton)
    {
        if(pressbutton == 'remove'){
            pressbutton = 'listremove';
        }

        switch (pressbutton) {
            case 'cancel':
            case 'listpublish':
            case 'listunpublish':
            case 'listorderdown':
            case 'listorderup':
            case 'listremove':
                submitform(pressbutton);
                break;
            case 'save':
            case 'saveNew':
            case 'apply':
                var error = false;
                var nodes = document.adminForm['cid[]'];

                if( document.getElementById('name').value == '' )
                {
                    error = true;
                    alert("<?php echo addslashes( JText::_('COM_BREEZINGCOMMERCE_ALERT_ATTRIBUTE_NAME') ) ;?>");
                }
                else if(nodes)
                {
                    if(typeof nodes.value != 'undefined')
                    {
                        if(nodes.checked && document.adminForm['attributeNames['+nodes.value+']'].value == ''){
                            error = true;
                            alert("<?php echo addslashes( JText::_('COM_BREEZINGCOMMERCE_ALERT_ATTRIBUTE_NAME_ALL') ) ;?>");
                            break;
                        }
                    }
                    else
                    {
                        for(var i = 0; i < nodes.length; i++)
                        {
                            if(nodes[i].checked && document.adminForm['attributeNames['+nodes[i].value+']'].value == ''){
                                error = true;
                                alert("<?php echo addslashes( JText::_('COM_BREEZINGCOMMERCE_ALERT_ATTRIBUTE_NAME_ALL') ) ;?>");
                                break;
                            }
                        }
                    }
                }

                if(!error)
                {
                    submitform(pressbutton);
                }

                break;
        }
    }

    // Joomla 1.6 compat
    if(typeof Joomla != 'undefined'){
        Joomla.submitbutton = crbc_submitbutton;
    }
    // Joomla 1.5 compat
    submitbutton = crbc_submitbutton;
</script>
<form action="index.php" method="post" name="adminForm" id="adminForm">

    <div class="span12">

        <div class="span9">

            <table class="table table-striped">
            <thead>
                <tr>
                    <th width="5">
                        <?php echo JText::_( 'COM_BREEZINGCOMMERCE_ID' ); ?>
                    </th>
                    <th width="20">
                      <input type="checkbox" name="toggle" value="" onclick="Joomla.checkAll(this);" />
                    </th>
                    <th>
                        <?php echo JText::_( 'COM_BREEZINGCOMMERCE_ATTRIBUTE_NAME' ); ?>
                    </th>
                    <th>
                        <?php echo JText::_( 'COM_BREEZINGCOMMERCE_ATTRIBUTE_SETTINGS' ); ?>
                    </th>
                    <th width="8%" nowrap="nowrap">
                        <?php echo JHTML::_('grid.sort',   JText::_( 'COM_BREEZINGCOMMERCE_ORDER_BY') , 'ordering', 'desc', @$this->lists['order'] ); ?>
                        <?php if ($this->ordering) echo JHTML::_('grid.order',  $this->items ); ?>
                    </th>
                </tr>
            </thead>
            <?php
            $k = 0;
            $n = count( $this->items );
            for ($i=0; $i < $n; $i++)
            {
                $row = $this->items[$i];
                $checked    = JHTML::_( 'grid.id', $i, $row->id );
                $published 	= CrBcHelpers::listPublished($row, $i);
                ?>
                <tr class="<?php echo "row$k"; ?>">
                    <td>
                        <?php echo $row->id; ?>
                    </td>
                    <td>
                      <?php echo $checked; ?>
                    </td>
                    <td>

                        <?php
                        // translations
                        if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','') != ''){

                            $pane2 = new CrBcPane();
                            echo $pane2->initPane(
                                array(
                                    'translation-'.$row->id.'-pane' => htmlentities(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language_title',''), ENT_QUOTES, 'UTF-8' ),
                                    'original-'.$row->id.'-pane' => JText::_( 'COM_BREEZINGCOMMERCE_DEFAULT_LANGUAGE' )
                                )
                            );

                            echo $pane2->startPane();
                            echo $pane2->startPanel( 'translation-'.$row->id.'-pane' );
                        ?>

                        <input type="text" name="attributeNames_translation[<?php echo $row->id; ?>]" maxlength="255" value="<?php echo htmlentities($row->name_translation, ENT_QUOTES, 'UTF-8'); ?>" />

                        <?php
                            echo $pane2->endPanel();
                            echo $pane2->startPanel( 'original-'.$row->id.'-pane' );
                        }
                        // default (all) case
                        ?>

                        <input type="text" name="attributeNames[<?php echo $row->id; ?>]" maxlength="255" value="<?php echo htmlentities($row->name, ENT_QUOTES, 'UTF-8'); ?>" />

                        <?php
                        if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','')){
                            echo $pane2->endPanel();
                            echo $pane2->endPane();
                        }
                        // translations end
                        ?>

                    </td>
                    <td>
                        <table class="table table-bordered">
                        <tr>
                            <td width="100" align="right" class="key">
                                    <?php echo JText::_( 'COM_BREEZINGCOMMERCE_ATTRIBUTE_PLUS_PRICE' ); ?>:
                            </td>
                            <td>
                                <input type="text" name="plusPrices[<?php echo $row->id; ?>]" id="plusPrice<?php echo $row->id; ?>" maxlength="255" value="<?php echo $row->plus_price ;?>" />
                            </td>
                       </tr>

                        <tr>
                            <td width="100" align="right" class="key">
                                    <?php echo JText::_( 'COM_BREEZINGCOMMERCE_ATTRIBUTE_PRODUCT' ); ?>:
                            </td>
                            <td>
                                <i id="productTitle<?php echo $row->id; ?>"><?php echo $row->product_title ? $row->product_title : JText::_('COM_BREEZINGCOMMERCE_NONE'); ?></i><br/>
                                <span id="clearItem<?php echo $row->id; ?>" style="visibility:<?php echo $row->product_title ? 'visible' : 'hidden' ?>"><a href="javascript:document.getElementById('productTitle<?php echo $row->id; ?>').innerHTML='';document.getElementById('productId<?php echo $row->id; ?>').value='0';document.getElementById('clearItem<?php echo $row->id; ?>').style.visibility='hidden';void(0);"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_CLEAR' ); ?></a></span><br/>
                                <a href="index.php?option=com_breezingcommerce&amp;controller=products&amp;layout=product_select&amp;tmpl=component&amp;backId=productId<?php echo $row->id; ?>&amp;backTitle=productTitle<?php echo $row->id; ?>&amp;clearItem=clearItem<?php echo $row->id; ?>" class="modal" rel="{handler: 'iframe', size: {x: 600, y: 400}}"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_SELECT_PRODUCT' ); ?></a>
                                <input type="hidden" name="productIds[<?php echo $row->id; ?>]" id="productId<?php echo $row->id; ?>" value="<?php echo $row->product_id; ?>" />
                            </td>
                       </tr>

                    </table>


                    </td>
                    <td class="order" nowrap="nowrap">
                        <span><?php echo $this->pagination->orderUpIcon( $i, true, 'orderup', 'Move Up', $this->ordering); ?></span>
                        <span><?php echo $this->pagination->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', $this->ordering ); ?></span>
                        <?php $disabled = $this->ordering ?  '' : 'disabled="disabled"'; ?>
                        <input type="text" name="order[]" value="<?php echo $row->ordering; ?>" <?php echo $disabled ?> style="text-align: center" />
                    </td>
                </tr>
                <?php
                $k = 1 - $k;
            }
            ?>
                <tfoot>
                    <tr>
                        <td colspan="9"><?php echo $this->pagination->getListFooter(); ?></td>
                    </tr>
                </tfoot>

            </table>

        </div>

        <div class="span3">

            <fieldset class="form-vertical category-sidebar">

                <h3><?php echo JText::_( 'COM_BREEZINGCOMMERCE_ATTRIBUTES_NAME' ); ?></h3>

                <div class="control-group">
                    <div class="control-label">
                        <label for="name" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_ATTRIBUTES_NAME_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_NAME' ); ?></label>
                    </div>
                    <div class="controls">

                        <?php
                        // translations
                        if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','') != ''){

                            $pane2 = new CrBcPane();
                            echo $pane2->initPane(
                                array(
                                    'translation-name-pane' => htmlentities(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language_title',''), ENT_QUOTES, 'UTF-8' ),
                                    'original-name-pane' => JText::_( 'COM_BREEZINGCOMMERCE_DEFAULT_LANGUAGE' )
                                )
                            );

                            echo $pane2->startPane();
                            echo $pane2->startPanel( 'translation-name-pane' );
                        ?>

                        <input type="text" name="name_translation" id="name_translation" maxlength="255" value="<?php echo htmlentities( $this->attribute->name_translation, ENT_QUOTES, 'UTF-8');?>" />

                        <?php
                            echo $pane2->endPanel();
                            echo $pane2->startPanel( 'original-name-pane' );
                        }
                        // default (all) case
                        ?>

                        <input type="text" name="name" id="name" maxlength="255" value="<?php echo htmlentities( $this->attribute->name, ENT_QUOTES, 'UTF-8');?>" />

                        <?php
                        if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','')){
                            echo $pane2->endPanel();
                            echo $pane2->endPane();
                        }
                        // translations end
                        ?>

                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="tag" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_ATTRIBUTES_TAG_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_TAG' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="tag" id="tag" maxlength="255" value="<?php echo htmlentities( $this->attribute->tag, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="display_as" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_ATTRIBUTES_DISPLAY_AS_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_DISPLAY_AS' ); ?></label>
                    </div>
                    <div class="controls">
                        <select class="chzn-done" name="display_as" id="display_as">
                            <option value="select-list"<?php echo $this->attribute->display_as == 'select-list' ? ' selected="selected"' : ''; ?>><?php echo JText::_( 'COM_BREEZINGCOMMERCE_SELECT_LIST' ); ?></option>
                            <option value="select-list-multiple"<?php echo $this->attribute->display_as == 'select-list-multiple' ? ' selected="selected"' : ''; ?>><?php echo JText::_( 'COM_BREEZINGCOMMERCE_MULTIPLE_SELECT_LIST' ); ?></option>
                            <option value="radio"<?php echo $this->attribute->display_as == 'radio' ? ' selected="selected"' : ''; ?>><?php echo JText::_( 'COM_BREEZINGCOMMERCE_RADIO' ); ?></option>
                            <option value="checkbox"<?php echo $this->attribute->display_as == 'checkbox' ? ' selected="selected"' : ''; ?>><?php echo JText::_( 'COM_BREEZINGCOMMERCE_CHECKBOX' ); ?></option>
                        </select>
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="id" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_ATTRIBUTES_REQUIRED_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_REQUIRED' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="checkbox" name="required" id="required" value="1"<?php echo $this->attribute->required ? ' checked="checked"' : ''; ?>/>
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="allow_amount" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_ATTRIBUTES_ALLOW_AMOUNT_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_ALLOW_AMOUNT' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="checkbox" name="allow_amount" id="allow_amount" value="1"<?php echo $this->attribute->allow_amount ? ' checked="checked"' : ''; ?>/>
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="min_amount" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_ATTRIBUTES_MINIUM_AMOUNT_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_MINIUM_AMOUNT' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="min_amount" id="min_amount" value="<?php echo $this->attribute->min_amount;?>"/>
                    </div>
                </div>

                <h3><?php echo JText::_( 'COM_BREEZINGCOMMERCE_NEW_ATTRIBUTE' ); ?></h3>

                <div class="control-group">
                    <div class="control-label">

                        <label for="attributeName" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_ATTRIBUTES_NEW_NAME_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_ATTRIBUTE_NAME' ); ?></label>

                    </div>
                    <div class="controls">

                        <?php
                        // translations
                        if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','') != ''){

                            $pane2 = new CrBcPane();
                            echo $pane2->initPane(
                                array(
                                    'translation-new-pane' => htmlentities(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language_title',''), ENT_QUOTES, 'UTF-8' ),
                                    'original-new-pane' => JText::_( 'COM_BREEZINGCOMMERCE_DEFAULT_LANGUAGE' )
                                )
                            );

                            echo $pane2->startPane();
                            echo $pane2->startPanel( 'translation-new-pane' );
                        ?>

                           <input type="text" name="attributeName_translation" id="attributeName" maxlength="255" value="" />

                        <?php
                            echo $pane2->endPanel();
                            echo $pane2->startPanel( 'original-new-pane' );
                        }
                        // default (all) case
                        ?>

                           <input type="text" name="attributeName" id="attributeName" maxlength="255" value="" />

                        <?php
                        if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','')){
                            echo $pane2->endPanel();
                            echo $pane2->endPane();
                        }
                        // translations end
                        ?>

                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="plus_price" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_ATTRIBUTES_PLUS_PRICE_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_ATTRIBUTE_PLUS_PRICE' ); ?></label>
                    </div>
                    <div class="controls">
                       <input type="text" name="plus_price" id="plus_price" maxlength="255" value="" />
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_ATTRIBUTES_PRODUCT_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_ATTRIBUTE_PRODUCT' ); ?></label>
                    </div>
                    <div class="controls">

                        <i id="product_title"><?php echo JText::_('COM_BREEZINGCOMMERCE_NONE'); ?></i><br/>
                        <span id="clearItem" style="visibility:hidden"><a href="javascript:document.getElementById('product_title').innerHTML='';document.getElementById('product_id').value='0';document.getElementById('clearItem').style.visibility='hidden';void(0);"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_CLEAR' ); ?></a></span><br/>
                        <a href="index.php?option=com_breezingcommerce&amp;controller=products&amp;layout=product_select&amp;tmpl=component&amp;backId=product_id&amp;backTitle=product_title&amp;clearItem=clearItem" class="modal" rel="{handler: 'iframe', size: {x: 600, y: 400}}"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_SELECT_PRODUCT' ); ?></a>
                        <input type="hidden" name="product_id" id="product_id" value="0" />

                    </div>
                </div>

            </fieldset>

        </div>

    </div>


<div class="ct-clear"></div>

<input type="hidden" name="option" value="com_breezingcommerce" />
<input type="hidden" name="id" value="<?php echo $this->attribute->id; ?>" />
<input type="hidden" name="task" value="edit" />
<input type="hidden" name="controller" value="attributes" />
<input type="hidden" name="ordering" value="<?php echo $this->attribute->ordering ;?>" />
<input type="hidden" name="published" value="<?php echo $this->attribute->published ;?>" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
<input type="hidden" name="boxchecked" value="0" />
</form>
