<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

defined('_JEXEC') or die('Restricted access');
?>
<script type="text/javascript">
<!--
Joomla.tableOrdering = function( order, dir, task ) {
	var form = document.adminForm;
        form.limitstart.value = 0;
	form.filter_order.value 	= order;
	form.filter_order_Dir.value	= dir;
	document.adminForm.submit( task );
};
function listItemTask( id, task ) {

    var f = document.adminForm;
    f.limitstart.value = 0;
    cb = eval( "f." + id );

    if (cb) {
        for (i = 0; true; i++) {
            cbx = eval("f.cb"+i);
            if (!cbx) break;
            cbx.checked = false;
        } // for
        cb.checked = true;
        f.boxchecked.value = 1;

        submitbutton(task);
    }
    return false;
}
if( typeof Joomla != "undefined" ){
    Joomla.listItemTask = listItemTask;
}
</script>
<form action="index.php" method="post" name="adminForm" id="adminForm">

    <select name="attribute_search_by" id="attribute_search_by" class="chzn-done" onchange="document.getElementById('attribute_search').focus()">
        <option value="name"<?php echo $this->lists['attribute_search_by'] == 'name' ? ' selected' : '' ;?>><?php echo JText::_('COM_BREEZINGCOMMERCE_NAME') ?></option>
        <option value="tag"<?php echo $this->lists['attribute_search_by'] == 'tag' ? ' selected' : '' ;?>><?php echo JText::_('COM_BREEZINGCOMMERCE_TAG') ?></option>
    </select>

    <div class="btn-wrapper input-append">
        <input type="text" name="attribute_search" id="attribute_search" value="<?php echo $this->lists['attribute_search'];?>" placeholder="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_FILTER' ); ?>" onchange="document.adminForm.submit();" />
        <input type="button" value="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_GO' ); ?>" class="btn" onclick="this.form.submit();" />
        <input type="button" value="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_RESET' ); ?>" class="btn" onclick="document.getElementById('attribute_search_by').selectedIndex = 0;document.getElementById('attribute_search').value='';this.form.submit();" />
    </div>

    <table class="table table-striped">
    <thead>
        <tr>
            <th width="5" class="hidden-phone">
                <?php echo JText::_( 'COM_BREEZINGCOMMERCE_ID' ); ?>
            </th>
            <th width="20" class="hidden-phone">
              <input type="checkbox" name="toggle" value="" onclick="Joomla.checkAll(this);" />
            </th>
            <th>
                <?php echo JText::_( 'COM_BREEZINGCOMMERCE_NAME' ); ?>
            </th>
            <th class="hidden-phone">
                <?php echo JText::_( 'COM_BREEZINGCOMMERCE_TAG' ); ?>
            </th>
            <th width="20" nowrap="nowrap" class="hidden-phone">
                <?php echo JHTML::_('grid.sort',   JText::_( 'COM_BREEZINGCOMMERCE_ORDER_BY') , 'ordering', 'desc', @$this->lists['order'] ); ?>
                <?php if ($this->ordering) echo JHTML::_('grid.order',  $this->items ); ?>
            </th>
        </tr>
    </thead>
    <?php
    $k = 0;
    $n = count( $this->items );
    for ($i=0; $i < $n; $i++)
    {
        $row = $this->items[$i];
        $checked    = JHTML::_( 'grid.id', $i, $row->id );
        $link = JRoute::_( 'index.php?option=com_breezingcommerce&controller=attributes&task=edit&cid[]='. $row->id );
        $published 	= CrBcHelpers::listPublished($row, $i);
        ?>
        <tr class="<?php echo "row$k"; ?>">
            <td class="hidden-phone">
                <?php echo $row->id; ?>
            </td>
            <td class="hidden-phone">
              <?php echo $checked; ?>
            </td>
            <td>
                <a href="<?php echo $link; ?>"><?php echo $row->name; ?></a>
            </td>
            <td class="hidden-phone">
                <a href="<?php echo $link; ?>"><?php echo $row->tag; ?></a>
            </td>
            <td class="hidden-phone order" nowrap="nowrap">
                <span><?php echo $this->pagination->orderUpIcon( $i, true, 'orderup', 'Move Up', $this->ordering); ?></span>
                <span><?php echo $this->pagination->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', $this->ordering ); ?></span>
                <?php $disabled = $this->ordering ?  '' : 'disabled="disabled"'; ?>
                <input type="text" name="order[]" value="<?php echo $row->ordering; ?>" <?php echo $disabled ?> style="text-align: center" />
            </td>
        </tr>
        <?php
        $k = 1 - $k;
    }
    ?>
        <tfoot>
            <tr>
                <td colspan="9"><?php echo $this->pagination->getListFooter(); ?></td>
            </tr>
        </tfoot>

    </table>


<input type="hidden" name="option" value="com_breezingcommerce" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="controller" value="attributes" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />

</form>
