<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// no direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class BreezingcommerceViewCustomer extends JViewLegacy
{
    function display($tpl = null)
    {
        require_once(JPATH_SITE.'/administrator/components/com_breezingcommerce/classes/CrBcForm.php');
        
        $item     = $this->get('Data');
        $isNew        = ($item->id < 1);

        $text = $isNew ? JText::_( 'COM_BREEZINGCOMMERCE_NEW' ) : JText::_( 'COM_BREEZINGCOMMERCE_EDIT' ) . ': ' . htmlentities($item->firstname, ENT_QUOTES, 'UTF-8') . ' ' . htmlentities($item->lastname, ENT_QUOTES, 'UTF-8');
        JToolBarHelper::title(  'BreezingCommerce: ' .  JText::_( 'COM_BREEZINGCOMMERCE_CUSTOMER' ).': <small><small>[ ' . $text.' ]</small></small>', 'bcart' );
        JToolBarHelper::apply();
        JToolBarHelper::save();

        if ($isNew) {
            JToolBarHelper::cancel();
        } else {
            // for existing items the button is renamed `close`
            JToolBarHelper::cancel( 'cancel', JText::_('COM_BREEZINGCOMMERCE_CLOSE') );
        }

        $this->assignRef('item', $item);
        $this->assignRef('isNew', $isNew);
        parent::display($tpl);
    }
}
