<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// No direct access
defined('_JEXEC') or die('Restricted access');
$NL = "\r\n";
?>
<?php echo JText::_('COM_BREEZINGCOMMERCE_DEAR')?> <?php echo $customer->firstname;?> <?php echo $customer->lastname;?>,
<?php echo $NL;?>
<?php echo JText::_('COM_BREEZINGCOMMERCE_CANCELLATION_LINE1')?><?php echo $order->order_number;?>.
<?php echo $NL;?>
<?php if($config->get('invoice_attach_pdf',0)): ?>
<?php echo JText::_('COM_BREEZINGCOMMERCE_CANCELLATION_LINE2')?>
<?php echo $NL;?>
<?php endif; ?>
<?php echo $NL;?>
------------------------------------------<?php echo $NL;?>
<?php $i = 1; foreach($items As $item):?>
<?php echo $NL.JText::_('COM_BREEZINGCOMMERCE_POSITION') . ' ' . $i; ?>:<?php echo $NL.$NL;?><?php echo $item->title . $NL.$NL?><?php echo strip_tags($item->properties) ? strip_tags($item->properties) : ''?> <?php echo $item->attributes_text ? $item->attributes_text . $NL : ''?><?php echo $NL;?><?php 
foreach( $item->order_item_info As $order_item_info ){
?><?php echo strip_tags($order_item_info->title); ?><?php echo $NL;?><?php echo $NL;?><?php echo strip_tags($order_item_info->text); ?><?php echo $NL;?><?php echo $NL;?>
<?php
}
?>
<?php echo JText::_('COM_BREEZINGCOMMERCE_QUANTITY')?>: <?php echo $item->amount?><?php echo $NL;?>
<?php echo JText::_('COM_BREEZINGCOMMERCE_UNIT_PRICE')?>: <?php echo $_cart_instance->formatPrice($item->price_single_gross)?><?php echo $NL;?>
<?php echo JText::_('COM_BREEZINGCOMMERCE_TOTAL')?>: <?php echo $_cart_instance->formatPrice($item->price_gross)?><?php echo $NL;?><?php echo $NL;?>
------------------------------------------<?php echo $NL;?>
<?php $i++; endforeach; ?>
<?php echo JText::_('COM_BREEZINGCOMMERCE_SUBTOTAL')?>: <?php echo $_cart_instance->formatPrice($order_info->price_gross)?><?php echo $NL;?>
<?php echo JText::_('COM_BREEZINGCOMMERCE_SHIPPING')?>: <?php echo $_cart_instance->formatPrice($order_info->shipping_costs)?><?php echo $NL;?>
------------------------------------------<?php echo $NL;?>
------------------------------------------<?php echo $NL;?>
<?php echo JText::_('COM_BREEZINGCOMMERCE_REFUND_AMOUNT')?>: <?php echo $_cart_instance->formatPrice($order_info->grand_total)?><?php echo $NL;?>
------------------------------------------<?php echo $NL;?>
------------------------------------------<?php echo $NL;?>
<?php echo JText::_('COM_BREEZINGCOMMERCE_INCLUDED_TAXES')?>: <?php echo $NL;?>

<?php foreach($order_info->price_tax_list As $info):?>
<?php echo $info['name']?> (<?php echo CrBcCart::formatNumber($info['rate'])?> %): <?php echo $_cart_instance->formatPrice($info['tax'])?><?php echo $NL;?>
<?php endforeach; ?>
<?php if( count($order_info->price_tax_list) == 0 ) { echo $_cart_instance->formatPrice(0) . $NL; } ;?>
<?php
if(count($logs)){
    foreach($logs As $log){
?>
------------------------------------------<?php echo $NL;?>
<?php echo $log->message; ?><?php echo $NL;?>
<?php
    }
}
?>
------------------------------------------<?php echo $NL;?><?php echo $NL;?>
<?php echo $config->get('business_name','');?><?php echo $NL;?>
<?php echo $config->get('business_address','');?> <?php echo $config->get('business_address2','');?><?php echo $NL;?>
<?php echo $config->get('business_zip','');?> <?php echo $config->get('business_city','');?><?php echo $NL;?>
<?php echo $config->get('business_country','');?> <?php echo $config->get('business_region','') ? ' / ' . $config->get('business_region','') : '' ;?><?php echo $NL;?><?php echo $NL;?>
<?php echo JText::_('COM_BREEZINGCOMMERCE_WEB')?>: <?php echo $config->get('business_web','');?><?php echo $NL;?>
<?php echo JText::_('COM_BREEZINGCOMMERCE_EMAIL')?>: <?php echo $config->get('business_email','');?><?php echo $NL;?><?php echo $NL;?>
<?php echo JText::_('COM_BREEZINGCOMMERCE_PHONE')?>: <?php echo $config->get('business_phone','');?><?php echo $NL;?>
<?php echo JText::_('COM_BREEZINGCOMMERCE_MOBILE')?>: <?php echo $config->get('business_mobile','');?><?php echo $NL;?>
<?php echo JText::_('COM_BREEZINGCOMMERCE_FAX')?>: <?php echo $config->get('business_fax','');?><?php echo $NL;?><?php echo $NL;?>
<?php echo $config->get('business_free_text','');?>