<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );


class CrBcPane {
    
    protected $pane = null;
    public $tabs = array();
    
    public function initPane($titles, $display = array()){
        $first = '';
        $active = '';
        $this->tabs = $titles;
        $out = '';
        $out = '<ul class="nav nav-tabs">'."\n";
        foreach($titles As $id => $title){
            if(isset($display[$id]) && $display[$id] == false){
                continue;
            }
            if($first == ''){
                $first = $id;
                $active = ' active';
            }else{
                $active = '';
            }
            $out .= '<li class="crbc-pane'.$active.'"><a class="crbc-pane-a" href="#'.$id.'" id="'.$id.'_tab" data-toggle="tab">'.$title.'</a></li>'."\n";
        }
        $out .= '</ul>'."\n";
        
        return $out;
    }
    
    public function startPane(){
        return '<div id="doc'.md5(mt_rand(0, mt_getrandmax())).'-document" class="tab-content">'."\n";
    }
    
    public function startPanel($id){
        
        $out = '<div id="'.$id.'" class="tab-pane'.($this->pane === null ? ' active' : '').'"><div class="row-fluid"><div class="span12">'."\n";

        if( $this->pane === null){
           $this->pane = 1; 
        }

        return $out;
        
    }
    
    public function endPane(){
        
        return '</div>';
    }
    
    public function endPanel(){
        return '</div></div></div>';
    }
}