<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * Hello Table class
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class TableProductattributeitems extends JTable
{
    public $id = null;
    public $product_attribute_id = null;
    public $attribute_item_id = null;
    public $name = null;
    public $plus_price = 0;
    public $selected = 0;
    public $product_id = null;
    public $item_product_id = null;
    public $attribute_id = null;
    public $ordering = 0;
    public $published = 0;

    /**
     * Constructor
     *
     * @param object Database connector object
     */
    function __construct( $db ) {
        parent::__construct('#__breezingcommerce_product_attribute_items', 'id', $db);
    }
}
