<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

defined('_JEXEC') or die('Restricted access');
?>
<script type="text/javascript">
    function crbc_submitbutton(pressbutton)
    {
        switch (pressbutton) {
            case 'cancel':
                submitform(pressbutton);
                break;
            case 'save':
            case 'saveNew':
            case 'apply':
                var error = false;

                if(document.getElementById('title').value == '')
                {
                    alert("<?php echo addslashes(JText::_('COM_BREEZINGCOMMERCE_ALERT_ERROR_TITLE')) ;?>");
                    error = true;
                }
                /*
                else if(document.getElementById('parent_id').selectedIndex < 0)
                {
                    alert("<?php echo addslashes(JText::_('COM_BREEZINGCOMMERCE_ALERT_ERROR_CATEGORY')) ;?>");
                    error = true;
                }*/
                /*
                else if(document.getElementById('category_image').value != '')
                {
                    if(document.getElementById('img_name').value == '')
                    {
                        alert("<?php echo addslashes(JText::_('COM_BREEZINGCOMMERCE_ALERT_ERROR_CATEGORY_IMAGE_NAME')) ;?>");
                        error = true;
                    }
                }*/

                if(!error)
                {
                    submitform(pressbutton);
                }

                break;
        }
    }

    // Joomla 1.6 compat
    if(typeof Joomla != 'undefined'){
        Joomla.submitbutton = crbc_submitbutton;
    }
    // Joomla 1.5 compat
    submitbutton = crbc_submitbutton;
</script>
<?php
$pane = new CrBcPane();
echo $pane->initPane(
    array(
        'details-page' => JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_DETAILS' ),
        'image-page' => JText::_( 'COM_BREEZINGCOMMERCE_IMAGE' ),
        //'params-page' => JText::_( 'COM_BREEZINGCOMMERCE_PARAMETERS__ADVANCED' ),
        'metadata-page' => JText::_( 'COM_BREEZINGCOMMERCE_METADATA_INFORMATION' )
    )
);
?>
<form action="index.php" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data" class="inner-main">
        <?php
        echo $pane->startPane();
        echo $pane->startPanel( "details-page" );
        ?>
    <div class="row-fluid">
        <div class="span8">
            <div class="form-horizontal">

                <?php
                // translations
                if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','') != ''){

                    $pane2 = new CrBcPane();
                    echo $pane2->initPane(
                        array(
                            'translation-pane' => htmlentities(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language_title',''), ENT_QUOTES, 'UTF-8' ),
                            'original-pane' => JText::_( 'COM_BREEZINGCOMMERCE_DEFAULT_LANGUAGE' )
                        )
                    );

                    echo $pane2->startPane();
                    echo $pane2->startPanel( 'translation-pane' );
                ?>

                <div class="control-group">
                    <div class="control-label">
                        <label for="title_translation" class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_TITLE_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_TITLE' ); ?></label>
                    </div>
                    <div class="controls">
                        <input class="input-xxlarge input-large-text ct-input-large-fullwidth" type="text" name="title_translation" id="title_translation" maxlength="255" value="<?php echo htmlentities( $this->category->title_translation, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                <div class="control-group">
                    <div class="control-label">
                        <label for="alias_translation" class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_ALIAS_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_ALIAS' ); ?></label>
                    </div>
                    <div class="controls">
                        <input class="input-xxlarge input-large-text ct-input-large-fullwidth" type="text" name="alias_translation" id="alias_translation"  maxlength="255" value="<?php echo htmlentities( $this->category->alias_translation, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="description_translation" class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_DESCRIPTION_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_DESCRIPTION' ); ?></label>
                    </div>
                    <div class="controls">
                        <?php
                        JImport( 'joomla.html.editor' );
                        $editor = JFactory::getEditor();
                        echo $editor->display("description_translation",$this->category->description_translation, '100%', '350', '75', '20');
                        ?>
                    </div>
                </div>

                <?php
                    echo $pane2->endPanel();
                    echo $pane2->startPanel( 'original-pane' );
                }

                // default (all) case
                ?>

                <div class="control-group">
                    <div class="control-label">
                      <label for="title_translation" class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_TITLE_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_TITLE' ); ?></label>
                      </div>
                    <div class="controls">
                        <input class="input-xxlarge input-large-text ct-input-large-fullwidth" type="text" name="title" id="title" maxlength="255" value="<?php echo htmlentities( $this->category->title, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                <div class="control-group">
                    <div class="control-label">
                        <label for="alias" class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_ALIAS_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_ALIAS' ); ?></label>
                    </div>
                    <div class="controls">
                        <input class="input-xxlarge input-large-text ct-input-large-fullwidth" type="text" name="alias" id="alias"  maxlength="255" value="<?php echo htmlentities( $this->category->alias, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="description" class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_DESCRIPTION_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_DESCRIPTION' ); ?></label>
                    </div>
                    <div class="controls">
                        <?php
                        JImport( 'joomla.html.editor' );
                        $editor = JFactory::getEditor();
                        echo $editor->display("description",$this->category->description, '100%', '350', '75', '20');
                        ?>
                    </div>
                </div>

                <?php
                if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','')){
                    echo $pane2->endPanel();
                    echo $pane2->endPane();
                }
                // translations end
                ?>

            </div>
        </div>
        <div class="span4 category-sidebar">

            <fieldset class="form-vertical">

                <div class="control-group">
                    <div class="control-label">
                        <label for="parent_id" class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_PARENT_CATEGORY_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_PARENT_CATEGORY' ); ?></label>
                    </div>
                    <div class="controls">
                        <?php
                        echo CrBcForm::render(
                        array(
                            'category_id'
                        ),
                        '{"category_id":'.json_encode($this->category->parent_id).'}', 'helper', 'advanced', 'parent_id', true);
                        ?>
                        <?php //echo CrBcCategoriesHelper::getParentsSelectList($this->category)?>
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="published_fieldset" class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_PUBLISHED_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_PUBLISHED' ); ?></label>
                    </div>
                    <div class="controls">
                        <?php
                            $yesChecked = '';
                            $noChecked = ' checked="checked"';
                            if($this->category->published)
                            {
                                $yesChecked = ' checked="checked"';
                                $noChecked = '';
                            }
                            ?>
                        <fieldset id="published_fieldset" class="radio btn-group btn-group-yesno">
                        <input type="radio" name="published" id="published_1" size="40" maxlength="255" value="0" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_PUBLISHED' ); ?>" <?php echo $noChecked;?>/>
                        <label for="published_1"><?php echo JText::_('COM_BREEZINGCOMMERCE_NO');?></label>
                        <input type="radio" name="published" id="published_2" size="40" maxlength="255" value="1" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_PUBLISHED' ); ?>" <?php echo $yesChecked;?>/>
                        <label for="published_2"><?php echo JText::_('COM_BREEZINGCOMMERCE_YES');?></label>
                        </fieldset>
                    </div>
                </div>
				<!--
                <div class="control-group">
                    <div class="control-label">
                        <label for="catalog_fieldset" class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_CATALOG_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATALOG' ); ?></label>
                    </div>
                    <div class="controls">
                        <?php
                            $yesChecked = '';
                            $noChecked = ' checked="checked"';
                            if($this->category->catalog)
                            {
                                $yesChecked = ' checked="checked"';
                                $noChecked = '';
                            }
                            ?>
                        <fieldset id="catalog_fieldset" class="radio btn-group btn-group-yesno">
                        <input type="radio" name="catalog" id="catalog_1" size="40" maxlength="255" value="0" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATALOG' ); ?>" <?php echo $noChecked;?>/>
                        <label for="catalog_1"><?php echo JText::_('COM_BREEZINGCOMMERCE_NO');?></label>
                        <input type="radio" name="catalog" id="catalog_2" size="40" maxlength="255" value="1" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATALOG' ); ?>" <?php echo $yesChecked;?>/>
                        <label for="catalog_2"><?php echo JText::_('COM_BREEZINGCOMMERCE_YES');?></label>
                        </fieldset>
                    </div>
                </div>
				
                <div class="control-group">
                    <div class="control-label">
                        <label for="catalog_children_fieldset" class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_CATALOG_CHILDREN_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATALOG_CHILDREN' ); ?></label>
                    </div>
                    <div class="controls">
                        <?php
                            $yesChecked = '';
                            $noChecked = ' checked="checked"';
                            if($this->category->catalog_children)
                            {
                                $yesChecked = ' checked="checked"';
                                $noChecked = '';
                            }
                            ?>
                        <fieldset id="catalog_children_fieldset" class="radio btn-group btn-group-yesno">
                        <input type="radio" name="catalog_children" id="catalog_children_1" size="40" maxlength="255" value="0" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATALOG_CHILDREN' ); ?>" <?php echo $noChecked;?>/>
                        <label for="catalog_children_1"><?php echo JText::_('COM_BREEZINGCOMMERCE_NO');?></label>
                        <input type="radio" name="catalog_children" id="catalog_children_2" size="40" maxlength="255" value="1" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATALOG_CHILDREN' ); ?>" <?php echo $yesChecked;?>/>
                        <label for="catalog_children_2"><?php echo JText::_('COM_BREEZINGCOMMERCE_YES');?></label>
                        </fieldset>
                    </div>
                </div>
				
                <div class="control-group">
                    <div class="control-label">
                        <label for="catalog_strict_fieldset" class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_CATALOG_STRICT_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATALOG_STRICT' ); ?></label>
                    </div>
                    <div class="controls">
                        <?php
                            $yesChecked = '';
                            $noChecked = ' checked="checked"';
                            if($this->category->catalog_strict)
                            {
                                $yesChecked = ' checked="checked"';
                                $noChecked = '';
                            }
                            ?>
                        <fieldset id="catalog_strict_fieldset" class="radio btn-group btn-group-yesno">
                        <input type="radio" name="catalog_strict" id="catalog_strict_1" size="40" maxlength="255" value="0" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATALOG_STRICT' ); ?>" <?php echo $noChecked;?>/>
                        <label for="catalog_strict_1"><?php echo JText::_('COM_BREEZINGCOMMERCE_NO');?></label>
                        <input type="radio" name="catalog_strict" id="catalog_strict_2" size="40" maxlength="255" value="1" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATALOG_STRICT' ); ?>" <?php echo $yesChecked;?>/>
                        <label for="catalog_strict_2"><?php echo JText::_('COM_BREEZINGCOMMERCE_YES');?></label>
                        </fieldset>
                    </div>
                </div>
				-->
                <?php if ($this->category->id) { ?>
                    <div class="control-group">
                        <div class="control-label">
                            <?php echo JText::_( 'COM_BREEZINGCOMMERCE_ID' ); ?> <?php echo $this->category->id; ?>
                        </div>
                    </div>
                <?php } ?>

                <div class="control-group">
                    <div class="control-label">
                        <label class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_CREATED_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_CREATED' ); ?></label>
                    </div>
                    <div class="controls">
                        <?php
                        $db = JFactory::getDBO();
                        $create_date = null;
                        $nullDate = $db->getNullDate();
                        if ( $this->category->created == $nullDate ) {
                            echo JText::_( 'COM_BREEZINGCOMMERCE_NEW_PRODUCT' );
                        } else {
                            echo JHTML::_('date',  $this->category->created,  JText::_('DATE_FORMAT_LC2'), false ) . ' (' . $this->category->created_by_alias . ')';
                        }
                        ?>
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_MODIFIED_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_MODIFIED' ); ?></label>
                    </div>
                    <div class="controls">
                        <?php
                        if ( $this->category->modified == $nullDate ) {
                             echo JText::_( 'COM_BREEZINGCOMMERCE_NOT_MODIFIED' );
                        } else {
                             echo JHTML::_('date',  $this->category->modified, JText::_('DATE_FORMAT_LC2'), false) . ' (' . $this->category->modified_by_alias . ')';
                        }
                        ?>
                    </div>
                </div>
                <!--
                <div class="control-group">
                    <div class="control-label">
                        <label class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_HITS_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_HITS' ); ?></label>
                    </div>
                    <div class="controls">
                        9999
                    </div>
                </div>
                -->
            </fieldset>
        </div>
    </div>

    <?php
    echo $pane->endPanel();
    echo $pane->startPanel( "image-page" );
    ?>

    <div class="row-fluid">
        <div class="span12">
            <div class="form-horizontal">

                <?php require_once(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_breezingcommerce'.DS.'classes'.DS.'CrBcImage.php'); ?>
                <?php $uploadedImage = CrBcImage::getCategoryImageTag($this->category->image_physical_name, 'thumb', $this->category->id, $this->category->image_alt_name); ?>

                <?php
                if($uploadedImage != ''){
                ?>
                    <div class="control-group">
                        <div class="control-label">
                            <label class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CATEGORY_UPLOADED_IMG_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_UPLOADED_IMAGE' ); ?></label>
                        </div>
                        <div class="controls">
                            <?php echo $uploadedImage; ?>
                        </div>
                    </div>

                    <div class="control-group">
                        <div class="control-label">
                            <label for="delete_uploaded_image" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CATEGORY_DELETE_UPLOADED_IMG_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_DELETE_UPLOADED_IMAGE' ); ?></label>
                        </div>
                        <div class="controls">
                            <input type="checkbox" name="delete_uploaded_image" id="delete_uploaded_image" value="true" />
                        </div>
                    </div>
                <?php
                }
                ?>

                <div class="control-group">
                    <div class="control-label">
                        <label for="category_image" class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_IMAGE_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_IMAGE' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="file" name="category_image" id="category_image" />
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="img_name" class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_IMAGE_NAME_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_NAME' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="img_name" id="img_name" value="<?php echo htmlentities( $this->category->image_name, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="img_background_color" class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_IMAGE_BG_COLOR_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_BACKGROUND_COLOR' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" maxlength="6" name="img_background_color" value="<?php echo htmlentities( $this->category->image_background_color, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>

                <?php
                // translations
                if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','') != ''){

                    $pane3 = new CrBcPane();
                    echo $pane3->initPane(
                        array(
                            'translation-image-pane' => htmlentities(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language_title',''), ENT_QUOTES, 'UTF-8' ),
                            'original-image-pane' => JText::_( 'COM_BREEZINGCOMMERCE_DEFAULT_LANGUAGE' )
                        )
                    );

                    echo $pane3->startPane();
                    echo $pane3->startPanel( 'translation-image-pane' );
                ?>

                <div class="control-group">
                    <div class="control-label">
                        <label for="img_alt_name_translation" class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_IMAGE_ALT_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_IMAGE_ALT' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="img_alt_name_translation" value="<?php echo htmlentities( $this->category->image_alt_name_translation, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="img_description_translation" class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_IMAGE_DESCRIPTION_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_DESCRIPTION' ); ?></label>
                    </div>
                    <div class="controls">
                        <?php
                        JImport( 'joomla.html.editor' );
                        $editor = JFactory::getEditor();
                        echo $editor->display("img_description_translation",$this->category->image_description_translation, '100%', '350', '75', '20');
                        ?>
                    </div>
                </div>

                <?php
                    echo $pane3->endPanel();
                    echo $pane3->startPanel( 'original-image-pane' );
                }

                // default (all) case
                ?>

                <div class="control-group">
                    <div class="control-label">
                        <label for="img_alt_name" class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_IMAGE_ALT_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_IMAGE_ALT' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="img_alt_name" value="<?php echo htmlentities( $this->category->image_alt_name, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>

                <div class="control-group">
                    <div class="control-label">
                        <label for="img_description" class="tip-top hasTooltip" title="<?php echo JText::_( 'COM_BREEZINGCOMMERCE_CATEGORY_IMAGE_DESCRIPTION_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_DESCRIPTION' ); ?></label>
                    </div>
                    <div class="controls">
                        <?php
                        JImport( 'joomla.html.editor' );
                        $editor = JFactory::getEditor();
                        echo $editor->display("img_description",$this->category->image_description, '100%', '350', '75', '20');
                        ?>
                    </div>
                </div>

                <?php
                if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','')){
                    echo $pane3->endPanel();
                    echo $pane3->endPane();
                }
                // translations end
                ?>

            </div>
        </div>
    </div>

        <?php

        //echo $pane->endPanel();
        //echo $pane->startPanel( "params-page" );
        // params

        echo $pane->endPanel();
        echo $pane->startPanel( "metadata-page" );
        ?>
        <div class="row-fluid">
            <div class="span12">
                <div class="form-horizontal">

                    <?php
                    // translations
                    if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','') != ''){

                        $pane3 = new CrBcPane();
                        echo $pane3->initPane(
                            array(
                                'translation1-pane' => htmlentities(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language_title',''), ENT_QUOTES, 'UTF-8' ),
                                'original1-pane' => JText::_( 'COM_BREEZINGCOMMERCE_DEFAULT_LANGUAGE' )
                            )
                        );

                        echo $pane3->startPane();
                        echo $pane3->startPanel( 'translation1-pane' );
                    ?>

                    <div class="control-group">
                        <div class="control-label">
                            <label for="metakey_translation" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CATEGORY_METADATAINFO_METAKEY_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_METAKEY' ); ?></label>
                        </div>
                        <div class="controls">
                            <input type="text" name="metakey_translation" value="<?php echo htmlentities( $this->category->metakey_translation, ENT_QUOTES, 'UTF-8');?>" />
                        </div>
                    </div>

                    <div class="control-group">
                        <div class="control-label">
                            <label for="metadesc_translation" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CATEGORY_METADATAINFO_METADESC_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_METADESC' ); ?></label>
                        </div>
                        <div class="controls">
                            <textarea name="metadesc_translation"><?php echo htmlentities( $this->category->metadesc_translation, ENT_QUOTES, 'UTF-8');?></textarea>
                        </div>
                    </div>

                    <?php echo CrBcForm::render(
                        array(
                            'robots',
                            'author',
                            'rights',
                            'xreference'
                        ),
                        $this->category->metadata_translation,
                        'metadata',
                        'metadata',
                        'params_translation'
                    );?>

                    <?php
                        echo $pane3->endPanel();
                        echo $pane3->startPanel( 'original1-pane' );
                    }

                    // default (all) case
                    ?>

                    <div class="control-group">
                        <div class="control-label">
                            <label for="metakey" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CATEGORY_METADATAINFO_METAKEY_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_METAKEY' ); ?></label>
                        </div>
                        <div class="controls">
                            <input type="text" name="metakey" value="<?php echo htmlentities( $this->category->metakey, ENT_QUOTES, 'UTF-8');?>" />
                        </div>
                    </div>

                    <div class="control-group">
                        <div class="control-label">
                            <label for="metadesc" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CATEGORY_METADATAINFO_METADESC_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_METADESC' ); ?></label>
                        </div>
                        <div class="controls">
                            <textarea name="metadesc"><?php echo htmlentities( $this->category->metadesc, ENT_QUOTES, 'UTF-8');?></textarea>
                        </div>
                    </div>

                    <?php echo CrBcForm::render(
                        array(
                            'robots',
                            'author',
                            'rights',
                            'xreference'
                        ),
                        $this->category->metadata,
                        'metadata',
                        'metadata',
                        'params'
                    );?>

                    <?php
                    if(JFactory::getSession()->get('com_breezingcommerce.selected_backend_language','')){
                        echo $pane3->endPanel();
                        echo $pane3->endPane();
                    }
                    // translations end
                    ?>

                </div>
            </div>
        </div>
        <?php
        echo $pane->endPanel();
        echo $pane->endPane();
        ?>

	<input type="hidden" name="option" value="com_breezingcommerce" />
        <input type="hidden" name="id" value="<?php echo $this->escape($this->category->id); ?>" />
        <input type="hidden" name="cid[]" value="<?php echo $this->escape($this->category->id); ?>" />
        <input type="hidden" name="boxchecked" value="1" /><!-- Faked, because customX and custom toolbar expects it -->
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="controller" value="categories" />
        <input type="hidden" name="created" value="<?php echo $this->escape($this->category->created) ;?>" />
        <input type="hidden" name="created_by" value="<?php echo $this->escape($this->category->created_by) ;?>" />
        <input type="hidden" name="created_by_alias" value="<?php echo $this->escape($this->category->created_by_alias) ;?>" />
        <input type="hidden" name="modified" value="<?php echo $this->escape($this->category->modified) ;?>" />
        <input type="hidden" name="modified_by" value="<?php echo $this->escape($this->category->modified_by) ;?>" />
        <input type="hidden" name="modified_by_alias" value="<?php echo $this->escape($this->category->modified_by_alias) ;?>" />
        <input type="hidden" name="limitstart" value="<?php echo $this->escape($this->limitstart) ;?>" />
        <input type="hidden" name="tabStartOffset" value="<?php echo $this->escape($this->tabStartOffset); ?>" />

        <div class="clr"></div>

</form>

<script type="text/javascript">
<?php
foreach($pane->tabs As $tab => $title){
?>
    jQuery('#<?php echo $tab;?>_tab').click(
        function(){
            document.adminForm.tabStartOffset.value = <?php echo json_encode('category.tab.'.$this->category->id.'.'.$tab);?>;
        }
    );
    if(document.adminForm.tabStartOffset.value != ''){
        jQuery('#<?php echo $tab;?>_tab').parent().removeClass('active');
        jQuery('#<?php echo $tab;?>').removeClass('active');
    }

<?php
}
?>

    jQuery('#<?php echo str_replace('category.tab.'.$this->category->id.'.','',$this->tabStartOffset);?>_tab').parent().addClass('active');
    jQuery('#<?php echo str_replace('category.tab.'.$this->category->id.'.','',$this->tabStartOffset);?>').addClass('active');
</script>
