<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// no direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class BreezingcommerceViewCurrency extends JViewLegacy
{
    function display($tpl = null)
    {
        require_once(JPATH_SITE.'/administrator/components/com_breezingcommerce/classes/CrBcPane.php');


        $currency     = $this->get('Data');
        $isNew        = ($currency->id < 1);

        $text = $isNew ? JText::_( 'COM_BREEZINGCOMMERCE_NEW' ) : JText::_( 'COM_BREEZINGCOMMERCE_EDIT' );
        JToolBarHelper::title(  'BreezingCommerce: ' .  JText::_( 'COM_BREEZINGCOMMERCE_CURRENCY' ).': <small><small>[ ' . $text.' ]</small></small>', 'bcart' );
        JToolBarHelper::save();
        if ($isNew) {
            JToolBarHelper::cancel();
        } else {
            // for existing items the button is renamed `close`
            JToolBarHelper::cancel( 'cancel', JText::_('COM_BREEZINGCOMMERCE_CLOSE') );
        }

        $this->assignRef('currency', $currency);
        parent::display($tpl);
    }
}
