<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

defined('_JEXEC') or die('Restricted access');
?>
<script type="text/javascript">
    function crbc_submitbutton(pressbutton)
    {
        switch (pressbutton) {
            case 'cancel':
                submitform(pressbutton);
                break;
            case 'save':
            case 'apply':
                var error = false;

                if(typeof document.adminForm.new_by != "undefined"){
                    var nodeList = document.adminForm.new_by;
                    for(var i = 0; i < nodeList.length; i++){
                        if(nodeList[i].checked){
                            switch(nodeList[i].value){
                                case 'new_user':
                                    if(document.getElementById("username").value=="" || document.getElementById("username").length < 4){
                                        error = true;
                                        alert("<?php echo addslashes(JText::_('COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_USERNAME'));?>");
                                    }else if(document.getElementById("password").value==""){
                                        error = true;
                                        alert("<?php echo addslashes(JText::_('COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_PASSWORD'));?>");

                                    }
                                    else if(document.getElementById("password").value.length < 8){
                                        error = true;
                                        alert("<?php echo addslashes(JText::_('COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_PASSWORD_LENGTH'));?>");
                                        
                                    }
                                    else if(document.getElementById("password").value!=document.getElementById("password2").value){
                                        error = true;
                                        alert("<?php echo addslashes(JText::_('COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_PASSWORD_MATCH'));?>");
                                    }
                                    break;
                                case 'existing_id':
                                    if(document.getElementById("userid").value == "" || isNaN(document.getElementById("userid").value)){
                                       error = true;
                                       alert("<?php echo addslashes(JText::_('COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_USERID'));?>");
                                    }
                                    break;
                            }
                        }
                    }
                }

                if(error){
                    return;
                }

                if( document.getElementById("customergroup_id").options[document.getElementById("customergroup_id").selectedIndex].value == "0" ){
                    error = true;
                    alert("<?php echo addslashes(JText::_("COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_CUSTOMER_GROUP"))?>");
                }
                else
                if( document.getElementById("firstname").value == "" ){
                    error = true;
                    alert("<?php echo addslashes(JText::_("COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_FIRST_NAME"))?>");
                }
                else
                if( document.getElementById("lastname").value == "" ){
                    error = true;
                    alert("<?php echo addslashes(JText::_("COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_LAST_NAME"))?>");
                }
                else
                if( !validEmail(document.getElementById("email").value) ){
                    error = true;
                    alert("<?php echo addslashes(JText::_("COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_EMAIL"))?>");
                }
                else
                if( document.getElementById("address").value == "" ){
                    error = true;
                    alert("<?php echo addslashes(JText::_("COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_ADDRESS"))?>");
                }
                else
                if( document.getElementById("city").value == "" ){
                    error = true;
                    alert("<?php echo addslashes(JText::_("COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_CITY"))?>");
                }
                else
                if( document.getElementById("zip").value == "" ){
                    error = true;
                    alert("<?php echo addslashes(JText::_("COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_ZIP"))?>");
                }
                else
                if(document.adminForm.country_id.selectedIndex == -1 || document.adminForm.country_id.options[document.adminForm.country_id.selectedIndex].value == ""){
                    error = true;
                    alert("<?php echo addslashes(JText::_('COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_COUNTRY'));?>");
                }
                else
                if(document.adminForm.region_id.options.length > 1 && (document.adminForm.region_id.selectedIndex == -1 || document.adminForm.region_id.options[document.adminForm.region_id.selectedIndex].value == "0")){
                    error = true;
                    alert("<?php echo addslashes(JText::_('COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_REGION'));?>");
                }



                if(error == false && document.getElementById("use_shipping_address").checked){

                    if( document.getElementById("shipping_firstname").value == "" ){
                        error = true;
                        alert("<?php echo addslashes(JText::_("COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_SHIPPING_FIRST_NAME"))?>");
                    }
                    else
                    if( document.getElementById("shipping_lastname").value == "" ){
                        error = true;
                        alert("<?php echo addslashes(JText::_("COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_SHIPPING_LAST_NAME"))?>");
                    }
                    else
                    if( !validEmail(document.getElementById("shipping_email").value) ){
                        error = true;
                        alert("<?php echo addslashes(JText::_("COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_SHIPPING_EMAIL"))?>");
                    }
                    else
                    if( document.getElementById("shipping_address").value == "" ){
                        error = true;
                        alert("<?php echo addslashes(JText::_("COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_SHIPPING_ADDRESS"))?>");
                    }
                    else
                    if( document.getElementById("shipping_city").value == "" ){
                        error = true;
                        alert("<?php echo addslashes(JText::_("COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_SHIPPING_CITY"))?>");
                    }
                    else
                    if( document.getElementById("shipping_zip").value == "" ){
                        error = true;
                        alert("<?php echo addslashes(JText::_("COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_SHIPPING_ZIP"))?>");
                    }
                    else
                    if(document.adminForm.shipping_country_id.selectedIndex == -1 || document.adminForm.shipping_country_id.options[document.adminForm.shipping_country_id.selectedIndex].value == ""){
                        error = true;
                        alert("<?php echo addslashes(JText::_('COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_SHIPPING_COUNTRY'));?>");
                    }
                    else
                    if(document.adminForm.shipping_region_id.options.length > 1 && (document.adminForm.shipping_region_id.selectedIndex == -1 || document.adminForm.shipping_region_id.options[document.adminForm.shipping_region_id.selectedIndex].value == "0")){
                        error = true;
                        alert("<?php echo addslashes(JText::_('COM_BREEZINGCOMMERCE_ALERT_ERROR_CUSTOMER_SHIPPING_REGION'));?>");
                    }

                }

                if(!error)
                {
                    submitform(pressbutton);
                }
                
                break;
        }
    }

    function jSelectUser_userid(userid){
        jQuery('#userid').val(userid);
        jQuery('#userid_btn').html(<?php echo CrBcHelpers::jsonEncode(JText::_('COM_BREEZINGCOMMERCE_PICK_A_USER'))?> + ' (' + userid + ')')
        SqueezeBox.close();
    }

    // Joomla 1.6 compat
    if(typeof Joomla != 'undefined'){
        Joomla.submitbutton = crbc_submitbutton;
    }
    // Joomla 1.5 compat
    submitbutton = crbc_submitbutton;
</script>
<?php 
JHtml::_('formbehavior.chosen', '#customergroup_id'); 
?>
<?php
if(JRequest::getInt('return_order',0)){
?>
<a href="index.php?option=com_breezingcommerce&controller=orders&cid[]=<?php echo JRequest::getInt('return_order',0)?>&task=edit&clear_cart=true"><?php echo JText::_('COM_BREEZINGCOMMERCE_RETURN_TO_ORDER')?></a>
<br/>
<br/>
<?php
}
?>

<form action="index.php" method="post" name="adminForm" id="adminForm">
    <div class="span12" style="display:none;"></div>
    <div class="span12">
        <div class="span6 customer-section">
            
            <h3><?php echo JText::_('COM_BREEZINGCOMMERCE_USER_INFORMATION'); ?></h3>
            
            <?php
            if ($this->isNew) {
            ?>
                <div id="new_by_existing_id" style="display:none">
                <?php echo CrBcForm::render(
                            array(
                                'userid'
                            ), 
                            '{}', 
                            'helper', 
                            'advanced', 
                            'userid');?>
                <br/>
                <br/>
            </div>
            <div id="new_by_new_user">
                <?php echo JText::_('COM_BREEZINGCOMMERCE_ENTER_A_USER_NAME'); ?>
                <br/>
                <input type="text" class="inputtext" name="username" id="username"/>
                <br/>
                <?php echo JText::_('COM_BREEZINGCOMMERCE_ENTER_A_PASSWORD'); ?>
                <br/>
                <input type="password" class="inputtext" name="password" id="password"/>
                <br/>
                <?php echo JText::_('COM_BREEZINGCOMMERCE_REPEAT_A_PASSWORD'); ?>
                <br/>
                <input type="password" class="inputtext" name="password2" id="password2"/>
            </div>
            <label><input type="radio" name="new_by" value="new_user" onclick="document.getElementById('new_by_new_user').style.display='';document.getElementById('new_by_existing_id').style.display='none';" checked="checked"/> <?php echo JText::_('COM_BREEZINGCOMMERCE_NEW_USER'); ?></label>
            <label><input type="radio" name="new_by" value="existing_id" onclick="document.getElementById('new_by_new_user').style.display='none';document.getElementById('new_by_existing_id').style.display='';"/> <?php echo JText::_('COM_BREEZINGCOMMERCE_EXISTING_USER'); ?></label>
            <label><input type="radio" name="new_by" value="none" onclick="document.getElementById('new_by_new_user').style.display='none';document.getElementById('new_by_existing_id').style.display='none';" /> <?php echo JText::_('COM_BREEZINGCOMMERCE_UNREGISTERED'); ?></label>
            <?php
            } else {
            ?>
            <?php echo JText::_('COM_BREEZINGCOMMERCE_USERNAME'); ?>
            <br/>
            <?php echo htmlentities( $this->item->username, ENT_QUOTES, 'UTF-8');?>
            <br/>
            <br/>
            <?php echo JText::_('COM_BREEZINGCOMMERCE_USERID'); ?>
            <br/>
            <?php
                echo htmlentities( $this->item->userid, ENT_QUOTES, 'UTF-8');

                if($this->item->user_not_found){
            ?>
                <br/>
                <br/>
                <?php echo JText::_('COM_BREEZINGCOMMERCE_USER_DOESNT_EXIST');?>
                <br/>
                
                
                <?php echo CrBcForm::render(
                            array(
                                'userid'
                            ), 
                            '{}', 
                            'helper', 
                            'advanced', 
                            'userid');?>
            <?php
                }
            ?>
                <br/>
                <br/>
                <a href="index.php?option=com_breezingcommerce&amp;controller=orders&amp;<?php echo JRequest::getInt('return_order',0) ? 'return_order='.JRequest::getInt('return_order',0).'&amp;' : ''?>return_customer=true&amp;order_search_by=customer_id&amp;order_search=<?php echo $this->item->id;?>"><?php echo JText::_('COM_BREEZINGCOMMERCE_ORDERS');?>: <?php echo $this->item->orders;?></a>
            <?php
            }
            ?>
        </div>

        <div class="span6 customer-section">

            <h3><?php echo JText::_('COM_BREEZINGCOMMERCE_CUSTOMER_GROUP'); ?></h3>

            <select name="customergroup_id" id="customergroup_id" class="inputtext">
                <option value="0"> - <?php echo htmlentities(JText::_('COM_BREEZINGCOMMERCE_SELECT_ONE'), ENT_QUOTES, 'UTF-8'); ?> - </option>
                <?php
                foreach($this->item->customergroups As $group){
                ?>
                <option value="<?php echo $group->id;?>"<?php echo $group->id == $this->item->customergroup_id ? ' selected="selected"' : ''; ?>><?php echo htmlentities($group->name, ENT_QUOTES, 'UTF-8');?></option>
                <?php
                }
                ?>
            </select>

        </div>
        
    </div>

    <div class="span12">
        <div class="span6 customer-section">
            
            <h3><?php echo JText::_( 'COM_BREEZINGCOMMERCE_BILLING_INFORMATION' ); ?></h3>
            
            <div class="form-horizontal">
                    
                <div class="control-group">
                    <div class="control-label">
                        <label for="firstname" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_FIRSTNAME_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_FIRSTNAME' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="firstname" id="firstname"  maxlength="250" value="<?php echo htmlentities( $this->item->firstname, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="lastname" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_LASTNAME_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_LASTNAME' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="lastname" id="lastname" maxlength="250" value="<?php echo htmlentities( $this->item->lastname, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="company" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_COMPANY_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_COMPANY' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="company" id="company" maxlength="250" value="<?php echo htmlentities( $this->item->company, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="email" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_EMAIL_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_EMAIL' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="email" id="email" maxlength="250" value="<?php echo htmlentities( $this->item->email, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="address" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_ADDRESS_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_ADDRESS' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="address" id="address" maxlength="250" value="<?php echo htmlentities( $this->item->address, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="address2" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_ADDRESS_2_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_ADDRESS_2' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="address2" id="address2" maxlength="250" value="<?php echo htmlentities( $this->item->address2, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="country_id" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_COUNTRY_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_COUNTRY' ); ?></label>
                    </div>
                    <div class="controls">
                        <select name="country_id" id="country_id" class="chzn-done" onchange="crbcSwitchCountry()">
                            <option value=""><?php echo JText::_('COM_BREEZINGCOMMERCE_SELECT_ONE');?></option>
                            <?php
                            foreach($this->item->countries As $country){
                            ?>
                            <option value="<?php echo $country->id;?>"<?php echo $country->id == $this->item->country_id ? ' selected="selected"': '' ?>><?php echo htmlentities( $country->name, ENT_QUOTES, 'UTF-8');?></option>
                            <?php
                            }
                            ?>
                        </select>
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="region_id" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_REGION_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_REGION' ); ?></label>
                    </div>
                    <div class="controls">
                        <select name="region_id" id="region_id" class="chzn-done">
                            <option value="0">*</option>
                        </select>
                        <script type="text/javascript">
                        <!--
                        countries = new Array();
                        <?php
                        foreach($this->item->countries As $country){
                            $regions = '';
                            $size = count($country->regions);
                            $i = 0;
                            foreach($country->regions As $region){
                                $regions .= '{';
                                $regions .= 'name: "'.addslashes($region->name).'", code: "'.addslashes($region->code).'", id: '.$region->id.'';
                                $regions .= '}';
                                if($i + 1 < $size){
                                    $regions .= ',';
                                }
                                $i++;
                            }

                            echo 'countries.push({country_id : "'.addslashes($country->id).'", regions: ['.$regions.']});'."\n";
                        }
                        ?>
                        var countrySelected = document.adminForm.country_id.selectedIndex != -1 ? document.adminForm.country_id.options[document.adminForm.country_id.selectedIndex].value : 0;
                        var regionSelected  = <?php echo $this->item->region_id ? $this->item->region_id: 0?>;
                        crbcSwitchRegion(countrySelected, regionSelected);
                        //-->
                        </script>
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="city" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_CITY_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_CITY' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="city" id="city" maxlength="250" value="<?php echo htmlentities( $this->item->city, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="zip" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_ZIP_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_ZIP' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="zip" id="zip" maxlength="250" value="<?php echo htmlentities( $this->item->zip, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="phone" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_PHONE_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_PHONE' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="phone" id="phone" maxlength="250" value="<?php echo htmlentities( $this->item->phone, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="mobile" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_MOBILE_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_MOBILE' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="mobile" id="mobile" maxlength="250" value="<?php echo htmlentities( $this->item->mobile, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="fax" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_FAX_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_FAX' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="fax" id="fax" maxlength="250" value="<?php echo htmlentities( $this->item->fax, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="use_shipping_address" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_SHIP_TO_DIFFERENT_ADDRESS_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_SHIP_TO_DIFFERENT_ADDRESS' ); ?></label>
                    </div>
                    <div class="controls">
                        <input class="inputtext" type="checkbox" value="1" name="use_shipping_address" id="use_shipping_address"<?php echo $this->item->use_shipping_address ? ' checked="checked"' : '';?>/>
                    </div>
                </div>
                
            </div>
            
        </div>

        <div class="span6 customer-section">
            
            <h3><?php echo JText::_( 'COM_BREEZINGCOMMERCE_SHIPPING_INFORMATION' ); ?></h3>
            
            <div class="form-horizontal">
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="shipping_firstname" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_SHIPINFO_FIRSTNAME_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_FIRSTNAME' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="shipping_firstname" id="shipping_firstname" maxlength="250" value="<?php echo htmlentities( $this->item->shipping_firstname, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="shipping_lastname" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_SHIPINFO_LASTNAME_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_LASTNAME' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="shipping_lastname" id="shipping_lastname" maxlength="250" value="<?php echo htmlentities( $this->item->shipping_lastname, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="shipping_company" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_SHIPINFO_COMPANY_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_COMPANY' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="shipping_company" id="shipping_company" maxlength="250" value="<?php echo htmlentities( $this->item->shipping_company, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="shipping_email" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_SHIPINFO_EMAIL_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_EMAIL' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="shipping_email" id="shipping_email" maxlength="250" value="<?php echo htmlentities( $this->item->shipping_email, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="shipping_address" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_SHIPINFO_ADDRESS_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_ADDRESS' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="shipping_address" id="shipping_address" maxlength="250" value="<?php echo htmlentities( $this->item->shipping_address, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="shipping_address2" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_SHIPINFO_ADDRESS_2_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_ADDRESS_2' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="shipping_address2" id="shipping_address2" maxlength="250" value="<?php echo htmlentities( $this->item->shipping_address2, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
               
                <div class="control-group">
                    <div class="control-label">
                        <label for="shipping_country_id" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_SHIPINFO_COUNTRY_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_COUNTRY' ); ?></label>
                    </div>
                    <div class="controls">
                        
                        <select name="shipping_country_id" id="shipping_country_id" class="chzn-done" onchange="crbcSwitchShippingCountry()">
                            <option value=""><?php echo JText::_('COM_BREEZINGCOMMERCE_SELECT_ONE');?></option>
                            <?php
                            foreach($this->item->countries As $country){
                            ?>
                            <option value="<?php echo $country->id;?>"<?php echo $country->id == $this->item->shipping_country_id ? ' selected="selected"': '' ?>><?php echo htmlentities( $country->name, ENT_QUOTES, 'UTF-8');?></option>
                            <?php
                            }
                            ?>
                        </select>
                        
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="shipping_region_id" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_SHIPINFO_REGION_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_REGION' ); ?></label>
                    </div>
                    <div class="controls">
                        
                        <select name="shipping_region_id" id="shipping_region_id" class="chzn-done">
                            <option value="0">*</option>
                        </select>
                        <script type="text/javascript">
                        <!--
                        // countries have been generated above
                        var countrySelected = document.adminForm.shipping_country_id.selectedIndex != -1 ? document.adminForm.shipping_country_id.options[document.adminForm.shipping_country_id.selectedIndex].value : 0;
                        var regionSelected  = <?php echo $this->item->shipping_region_id ? $this->item->shipping_region_id: 0?>;
                        crbcSwitchShippingRegion(countrySelected, regionSelected);
                        //-->
                        </script>
                        
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="shipping_city" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_SHIPINFO_CITY_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_CITY' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="shipping_city" id="shipping_city" maxlength="250" value="<?php echo htmlentities( $this->item->shipping_city, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="shipping_zip" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_SHIPINFO_ZIP_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_ZIP' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="shipping_zip" id="shipping_zip" maxlength="250" value="<?php echo htmlentities( $this->item->shipping_zip, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="shipping_phone" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_SHIPINFO_PHONE_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_PHONE' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="shipping_phone" id="shipping_phone" maxlength="250" value="<?php echo htmlentities( $this->item->shipping_phone, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="shipping_mobile" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_SHIPINFO_MOBILE_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_MOBILE' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="shipping_mobile" id="shipping_mobile" maxlength="250" value="<?php echo htmlentities( $this->item->shipping_mobile, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
                <div class="control-group">
                    <div class="control-label">
                        <label for="shipping_fax" class="tip-top hasTooltip" title="<?php echo JHtml::tooltipText( 'COM_BREEZINGCOMMERCE_CUSTOMER_SHIPINFO_FAX_TIP' ); ?>"><?php echo JText::_( 'COM_BREEZINGCOMMERCE_FAX' ); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="shipping_fax" id="shipping_fax" maxlength="250" value="<?php echo htmlentities( $this->item->shipping_fax, ENT_QUOTES, 'UTF-8');?>" />
                    </div>
                </div>
                
            </div>
            
        </div>
    </div>

<div class="ct-clear"></div>

<input type="hidden" name="option" value="com_breezingcommerce" />
<input type="hidden" name="return_order" value="<?php echo JRequest::getInt('return_order',0); ?>" />
<input type="hidden" name="id" value="<?php echo $this->item->id; ?>" />
<input type="hidden" name="cid[]" value="<?php echo $this->item->id; ?>" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="customers" />
<input type="hidden" name="ordering" value="<?php echo $this->item->ordering ;?>" />
<input type="hidden" name="published" value="<?php echo $this->item->published ;?>" />
</form>


