<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// no direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class BreezingcommerceViewFile extends JViewLegacy
{
    function display($tpl = null)
    {
        require_once(JPATH_SITE.'/administrator/components/com_breezingcommerce/classes/CrBcPane.php');

        $file     = $this->get('Data');
        $isNew        = ($file->id < 1);

        $text = $isNew ? JText::_( 'COM_BREEZINGCOMMERCE_NEW' ) : JText::_( 'COM_BREEZINGCOMMERCE_EDIT' );
        JToolBarHelper::title(  'BreezingCommerce: ' .  JText::_( 'COM_BREEZINGCOMMERCE_FILE' ).': <small><small>[ ' . $text.' ]</small></small>', 'bcart' );
        JToolBarHelper::save();
        if ($isNew) {
            JToolBarHelper::cancel();
        } else {
            // for existing items the button is renamed `close`
            JToolBarHelper::cancel( 'cancel', JText::_('COM_BREEZINGCOMMERCE_CLOSE') );
        }
        $limitstart = JRequest::getInt('limitstart', 0);
        $this->assignRef('limitstart', $limitstart);
        $product_id = JRequest::getInt('product_id', 0);
        $this->assignRef('product_id', $product_id);
        $this->assignRef('file', $file);
        parent::display($tpl);
    }
}
