<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// no direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class BreezingcommerceViewProperty extends JViewLegacy
{
    function display($tpl = null)
    {
        require_once(JPATH_SITE.'/administrator/components/com_breezingcommerce/classes/CrBcPane.php');

        $property     = $this->get('Property');
        $properties   = $this->get('Data');
        $pagination   = $this->get('Pagination');
        $isNew        = ($property->id < 1);

        $text = $isNew ? JText::_( 'COM_BREEZINGCOMMERCE_NEW' ) : JText::_( 'COM_BREEZINGCOMMERCE_EDIT' );
        JToolBarHelper::title(  'BreezingCommerce: ' .  JText::_( 'COM_BREEZINGCOMMERCE_PROPERTIES' ).': <small><small>[ ' . $text.' ]</small></small>', 'bcart' );

        JToolBarHelper::apply();
        JToolBarHelper::save();
        JToolBarHelper::custom('saveNew', 'save', '', JText::_('COM_BREEZINGCOMMERCE_SAVE_NEW'), false);

        JToolBarHelper::deleteList();
        if ($isNew) {
            JToolBarHelper::cancel();
        } else {
            // for existing items the button is renamed `close`
            JToolBarHelper::cancel( 'cancel', JText::_('COM_BREEZINGCOMMERCE_CLOSE') );
        }

        $state = $this->get( 'state' );
        $lists['order_Dir'] = $state->get( 'propertyitems_filter_order_Dir' );
        $lists['order'] = $state->get( 'propertyitems_filter_order' );
        $lists['limitstart'] = $state->get( 'limitstart' );

        $ordering = ($lists['order'] == 'ordering');

        $this->assignRef('ordering', $ordering);
        $this->assignRef('property', $property);
        $this->assignRef('items', $properties);
        $this->assignRef( 'lists', $lists );
        $this->assignRef( 'pagination', $pagination );
        parent::display($tpl);
    }
}
