<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// no direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class BreezingcommerceViewTaxes extends JViewLegacy
{
    function display($tpl = null)
    {
        require_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'classes'.DS.'CrBcCart.php');
        
        JToolBarHelper::title(   'BreezingCommerce: ' . JText::_( 'COM_BREEZINGCOMMERCE_TAXES' ), 'bcart' );
        JToolBarHelper::custom('editRates', 'default', '', JText::_('COM_BREEZINGCOMMERCE_TAXES_EDIT_RATES'), false);
        JToolBarHelper::custom('editCustomerTaxClasses', 'default', '', JText::_('COM_BREEZINGCOMMERCE_TAXES_EDIT_CUSTOMER_TAX'), false);
        JToolBarHelper::custom('editProductTaxClasses', 'default', '', JText::_('COM_BREEZINGCOMMERCE_TAXES_EDIT_PRODUCT_TAX'), false);
        JToolBarHelper::custom('editTaxRules', 'default', '', JText::_('COM_BREEZINGCOMMERCE_TAXES_EDIT_TAX_RULES'), false);
        
        $taxes_total   = $this->get('TaxesTotal');
        $this->assignRef('taxes_total', $taxes_total);
        
        $rates_total   = $this->get('RatesTotal');
        $this->assignRef('rates_total', $rates_total);
        
        
        $rules_total   = $this->get('RulesTotal');
        $this->assignRef('rules_total', $rules_total);
        
        parent::display($tpl);
    }
}
