<?php
/**
 * @package     BreezingCommerce
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<div class="crbc crbc-minicart <?php echo $moduleclass_sfx; ?> crbc-mod_breezingcommerce_minicart_<?php echo $module->id; ?>" id="crbc-mod_breezingcommerce_minicart_<?php echo $module->id; ?>">
    <div class="crbc-replace crbc-btn-group btn-group">
        
        <a class="crbc-btn crbc-dropdown-toggle btn dropdown-toggle" data-toggle="dropdown" href="#">
            <i class="crbc-fa crbc-fa-shopping-cart"></i> (<?php echo count($items);?>) | <?php echo $_cart->formatPrice($order_info->grand_total)?>
            <span class="crbc-caret caret"></span>
        </a>
        
        <ul class="crbc-dropdown-menu dropdown-menu">
        
            <?php
            $i = 1;
            foreach( $items As $item ){
                
                JFactory::getDbo()->setQuery("Select * From #__breezingcommerce_images Where published = 1 And product_id = " . intval($item->product_id) . " Order by ordering Limit 1");
                $main_image = JFactory::getDbo()->loadObject();
                
            ?>
                
                <li><?php echo intval($item->amount); ?> x <?php echo !$main_image ? '' : '<img class="crbc-minicart-product-image" id="crbc-mincart-product-image-'.$item->product_id.'" src="'.JUri::root(true).'/images/breezingcommerce/products/thumb/'.$main_image->physical_name.'">'; ?></li>
                 
                <li><strong><?php echo $item->title?></strong></li> 
               
                <li><?php echo $_cart->formatPrice($item->price_gross)?></li>

                <li class="crbc-divider divider"></li>
                
            <?php
                if($i+1 > $max_items && (count($items)-$max_items) > 0){
            ?>
                
                <li><a class="crbc-minicart-more" href="<?php echo JRoute::_('index.php?option=com_breezingcommerce&controller=cart&Itemid='.CrBcHelpers::getDefaultMenuItemId('checkout')); ?>"><?php echo (count($items)-$max_items) . ' ' . JText::_('COM_BREEZINGCOMMERCE_MINICART_MORE');?></a></li>
                <li class="crbc-divider divider"></li>
                
            <?php
                    break;
                }
                $i++;
            }
            ?>
            
            <li><a class="crbc-minicart-checkout" href="<?php echo JRoute::_('index.php?option=com_breezingcommerce&controller=cart&Itemid='.CrBcHelpers::getDefaultMenuItemId('cart')); ?>"><i class="crbc-fa crbc-fa-shopping-cart"></i> <?php echo JText::_('COM_BREEZINGCOMMERCE_MINICART_CHECKOUT'); ?></a></li>
            
        </ul>
        
         
    </div>
</div>